LibreOffice: XConnection2 Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
XConnection2 Interface Referencepublished

XConnection2 extends the `XConnection` interface with `available` and `readSomeBytes` More...

`import "XConnection2.idl";`

Inheritance diagram for XConnection2:

## Public Member Functions
long | available () raises (com::sun::star::io::IOException)
| Gives the number of bytes available via `read` without blocking.
long | readSomeBytes ([out] sequence< byte > aData, [in] long nMaxBytesToRead) raises (com::sun::star::io::IOException)
| Blocks if no data is available otherwise reads at max nMaxBytesToRead but at least 1 byte.
Public Member Functions inherited from XConnection
long | read ([out] sequence< byte > aReadBytes, [in] long nBytesToRead) raises ( com::sun::star::io::IOException )
| reads a requested number of bytes from the connection.
void | write ([in] sequence< byte > aData) raises ( com::sun::star::io::IOException )
| writes the given bytesequence to the stream.
void | flush () raises ( com::sun::star::io::IOException )
| Empties all internal buffers.
void | close () raises ( com::sun::star::io::IOException )
| Immediately terminates any ongoing read or write calls.
string | getDescription ()
| A unique string describing the connection.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XConnection2 extends the `XConnection` interface with `available` and `readSomeBytes`

## Member Function Documentation

## ◆ available()

long available | ( |  | ) |
raises | ( | com::sun::star::io::IOException ) |  |  |

Gives the number of bytes available via `read` without blocking.

## ◆ readSomeBytes()

long readSomeBytes | ( | [out] sequence< byte > | aData,
|  | [in] long | nMaxBytesToRead )
raises | ( | com::sun::star::io::IOException ) |  |  |

Blocks if no data is available otherwise reads at max nMaxBytesToRead but at least 1 byte.

The documentation for this interface was generated from the following file:

- com/sun/star/connection/XConnection2.idl